package cn.iocoder.yudao.module.system.api.sms.dto.code;

import cn.iocoder.yudao.framework.common.validation.Mobile;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 短信验证码的发送 Request DTO
 *
 * @author 捷道源码
 */
@Data
public class SmsCodeSendReqDTO {

    /**
     * 手机号
     */
    @Mobile
    @NotEmpty(message = "手机号不能为空")
    private String mobile;
    /**
     * 发送场景
     */
    @NotNull(message = "业务节点不能为空")
    private String nodeValue;
    /**
     * 发送 IP
     */
    @NotEmpty(message = "发送 IP 不能为空")
    private String createIp;

    @NotNull(message = "国家区号不能为空")
    private String areaCode;

    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @NotNull(message = "运输方式不能空")
    private Integer transportId;

    @NotNull(message = "是否多订单不能为空")
    private Integer isOrders;

    @NotNull(message = "发送类型不能为空")
    private Integer messageType;
}
