package cn.iocoder.yudao.module.system.api.sms.dto.send;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * 短信发送给 Admin 或者 Member 用户
 *
 * @author 捷道源码
 */
@Data
public class SmsSendSingleToUserReqDTOV2 {

    /**
     * 用户编号
     */
    @NotNull(message = "用户编号不能为空")
    private Long userId;

    @NotNull(message = "手机号不能为空")
    private String mobile;

    @NotNull(message = "节点不能为空")
    private String nodeValue;

    @NotNull(message = "区号不能为空")
    private String areaCode;

    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @NotNull(message = "运输方式不能空")
    private Integer transportId;

    @NotNull(message = "是否多订单不能为空")
    private Integer isOrders;

    @NotNull(message = "发送类型不能为空")
    private Integer messageType;

    /**
     * 短信模板参数
     */
    private Map<String, Object> templateParams;

}
